Summary:	A utility for configuring serial ports
Name:		setserial
Version:	2.17
Release:	7mdk
License:	GPL
Group:		System/Configuration/Hardware
Source:		ftp://tsx-11.mit.edu/pub/linux/sources/sbin/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:  groff-for-man

%description
Setserial is a basic system utility for displaying or setting
serial port information. Setserial can reveal and allow you
to alter the I/O port and IRQ that a particular serial device
is using, and more.

You should install setserial because you may find it useful
for detecting and/or altering device information.

%prep
%setup -q

%build
rm -f config.cache

%configure

%ifarch %{ix86}
%make
%else
%make DEFS="-DHAVE_ASM_IOCTLS_H=1 -DHAVE_LINUX_HAYESESP_H=1"
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -m755 %{name} -D $RPM_BUILD_ROOT/bin/%{name}
install -m644 %{name}.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rc.serial *.lsm *.conf Documentation
%{_mandir}/man8/%{name}.8*
%defattr(755,root,root,755)
/bin/%{name}

%changelog
* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.17-7mdk
- rebuild
- s/Copyright/License/
- cosmetics
- fix file permissions

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.17-6mdk
- BuildRequires: groff-for-man.

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.17-5mdk
- use %%ix86 macro in %%ifarch
- build with %%make
- additional documentation

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 2.17-4mdk
- Spec file changes
- Permission fixes

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.17-3mdk
- use new macros
- BM

* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.17-2mdk
- Add missing x86 archs
- Use %%{_tmppath} for BuildRoot

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Let spec-helper handle strip and compressed man/info files
- 2.17
- Some spec file fixes

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix a users.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- fixed bug #363

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- upgraded to 2.1.14

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- pulled into distribution
- used setserial-2.12_CTI.tgz instead of setserial-2.12.tar.gz (former is
  all that sunsite has) - not sure what the difference is.

* Thu Sep 25 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added %attr's
- added sanity check for RPM_BUILD_ROOT
- setserial is now installed into /bin, where util-linux puts it and all
  startup scripts expect it.
